LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-22-2008, 09:13 PM   #1
tkarrmann
LQ Newbie
 
Registered: Jun 2008
Posts: 4

Rep: Reputation: 0
Unhappy Cannot emerge gnome - metacity error


Am new to Linux. Installed Gentoo 2008 beta 2, kernel 2.6.24. When I attempt to emerge gnome, it fails on x11-wm/metacity-2.20.2 with a "econf failed" error. I have gotten past several other errors trying to get gnome installed, but this one has me stymied. Any ideas?
 
Old 06-22-2008, 09:19 PM   #2
weibullguy
ReliaFree Maintainer
 
Registered: Aug 2004
Location: Kalamazoo, Michigan
Distribution: Slackware-current, Cross Linux from Scratch, Gentoo
Posts: 2,720
Blog Entries: 1

Rep: Reputation: 222Reputation: 222Reputation: 222
The only thing I can tell you is that the configuration failed. Without the actual error message it's difficult to tell what went wrong. Read the instructions from the failed emerge for what needs to be provided.
 
Old 06-23-2008, 08:59 AM   #3
tkarrmann
LQ Newbie
 
Registered: Jun 2008
Posts: 4

Original Poster
Rep: Reputation: 0
OK, here is what it says:

ERROR: x11-wm/metacity-2.20.2 failed.
Call stack:
ebuild.sh, line 49: Called src_compile
environment, line 610: Called gnome2_src_compile
environment, line 537: Called gnome2_src_configure
environment, line 551: Called econf 'src_compile' 'src_compile'
ebuild.sh, line 513: Called die
The specific snippet of code:
die "econf failed"
The die message:
econf failed


I think that is the salient portion. There is also a build log and an environment log listed. If you would like me to email those to you, please let me know.
 
Old 06-23-2008, 09:48 AM   #4
weibullguy
ReliaFree Maintainer
 
Registered: Aug 2004
Location: Kalamazoo, Michigan
Distribution: Slackware-current, Cross Linux from Scratch, Gentoo
Posts: 2,720
Blog Entries: 1

Rep: Reputation: 222Reputation: 222Reputation: 222
Quote:
Originally Posted by tkarrmann View Post
There is also a build log and an environment log listed. If you would like me to email those to you, please let me know.
No, you should post them wrapped in code tags. Make two posts if you need.

Last edited by weibullguy; 06-23-2008 at 09:52 AM.
 
Old 06-23-2008, 10:49 AM   #5
monsm
Member
 
Registered: Feb 2005
Location: London, UK
Distribution: Gentoo
Posts: 568

Rep: Reputation: 37
Also, what is the emerge command line you use?

If you are not already you might want to try "emerge --newuse --deep gnome". It could be a missing dependency. econf is the one that issues "./configure" in Gentoo...

Mons
 
Old 06-23-2008, 07:40 PM   #6
tkarrmann
LQ Newbie
 
Registered: Jun 2008
Posts: 4

Original Poster
Rep: Reputation: 0
Issue resolved

The last five commands that seemed to make this work were:

emerge gentoolkit
revdep-rebuild
emerge fontconfig
emerge pango
emerge gtk+

Tried quite a few variants on the USE variable and order of emerging, but no luck. Finally happened across two web sites that I put together to get the list above.

By the way, thanks for the link to "How To Ask Questions The Smart Way"
 
Old 06-23-2008, 08:01 PM   #7
weibullguy
ReliaFree Maintainer
 
Registered: Aug 2004
Location: Kalamazoo, Michigan
Distribution: Slackware-current, Cross Linux from Scratch, Gentoo
Posts: 2,720
Blog Entries: 1

Rep: Reputation: 222Reputation: 222Reputation: 222
Quote:
Originally Posted by tkarrmann View Post
By the way, thanks for the link to "How To Ask Questions The Smart Way"
You're welcome, but that is part of my signature. I just don't want you to think it was directed at you specifically.
 
Old 10-13-2008, 11:45 AM   #8
Gouken
LQ Newbie
 
Registered: Sep 2004
Posts: 1

Rep: Reputation: 0
In case this has not been solved yet, I stumbled upon this post while googling for the same error.
Turns out, metacity depends on pango 1.2.0 or greater, which
is why the configure script fails. emerge pango before emerging metacity worked for me.
 
Old 11-20-2008, 08:36 AM   #9
greanie
LQ Newbie
 
Registered: Jul 2005
Posts: 2

Rep: Reputation: 0
pango with USE=X

Quote:
Originally Posted by Gouken View Post
In case this has not been solved yet, I stumbled upon this post while googling for the same error.
Turns out, metacity depends on pango 1.2.0 or greater, which
is why the configure script fails. emerge pango before emerging metacity worked for me.
Just to add, I had to set USE=X for pango and then metacity compiled
 
  


Reply

Tags
gentoo, gnome, metacity


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
GNOME freezes when loading metacity CPUFreak91 Slackware 6 11-10-2005 04:24 PM
gnome-metacity SeptivaOra Linux - Newbie 0 02-15-2005 12:55 AM
pkg-config error with emerge -aD gnome-python on Gentoo 2.6.9-gentoo-r6 ghrellin Linux - Software 2 12-22-2004 06:37 PM
move window up in gnome/metacity? codec Linux - Software 3 09-18-2004 03:05 PM
gnome / metacity became very slow... LarryDoliver Red Hat 3 10-09-2003 01:25 PM


All times are GMT -5. The time now is 02:23 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration